Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus and CDO(Papyrus working with CDO repositories)
Papyrus and CDO [message #1804903] Wed, 03 April 2019 07:01 Go to next message
Michael Nestler is currently offline Michael NestlerFriend
Messages: 25
Registered: September 2014
Junior Member
Hello,

I have a question, it seems that Papyrus 4.3 does not support CDO anymore.
I' m missing the entry "Working with CDO Model Repositories" in
Help -> Papyrus Guide -> User Guide -> Tasks?

Regards Michael
Re: Papyrus and CDO [message #1804912 is a reply to message #1804903] Wed, 03 April 2019 08:28 Go to previous messageGo to next message
vincent lorenzo is currently offline vincent lorenzoFriend
Messages: 123
Registered: June 2010
Location: Paris Saclay, France
Senior Member
Hello,
Papyrus still support CDO (as written here https://www.eclipse.org/papyrus/relatives.html).
You can download a Papyrus Server here https://ci.eclipse.org/papyrus/job/Papyrus-CDO-Server/ws/products/
Papyrus CDO needs to be installed on an Eclipse were Papyrus is already installed.
The update site to install Papyrus CDO is this one https://hudson.eclipse.org/papyrus/job/Papyrus-CDO/lastSuccessfulBuild/artifact/repository/.

We currently have a build trouble with the cdo documentation, so you won't find them in the Eclipse Help.
The document is also available in the git org.eclipse.papyrus-collaborativemovedeling, in the subfolder \cdo\bundles\org.eclipse.papyrus.cdo.ui.doc.
In attachment, I set a pdf of the document available in the git repo.

Regards,
--
Vincent Lorenzo
Re: Papyrus and CDO [message #1804947 is a reply to message #1804912] Wed, 03 April 2019 15:27 Go to previous messageGo to next message
Simon Kuzin is currently offline Simon KuzinFriend
Messages: 18
Registered: February 2019
Location: Singapore
Junior Member
Hi Vincent,

A couple of follow-up questions:
1. Is Papyrus Server in any way different from EMF CDO Server? In GIT i see only server configuration file...
2. In Papyrus CDO update site there is "Papyrus CDO Models" feature. What is it?
Re: Papyrus and CDO [message #1804948 is a reply to message #1804912] Wed, 03 April 2019 15:31 Go to previous messageGo to next message
Michael Nestler is currently offline Michael NestlerFriend
Messages: 25
Registered: September 2014
Junior Member
Hello Vincent,

thanks for your quick answer. We have a very large UML model and thinking about using several CDO or Git repos to store the model and its submodels.
Besides Git we can check CDO as an alternative.

Best regards
Michael
Re: Papyrus and CDO [message #1805422 is a reply to message #1804947] Mon, 15 April 2019 08:33 Go to previous messageGo to next message
vincent lorenzo is currently offline vincent lorenzoFriend
Messages: 123
Registered: June 2010
Location: Paris Saclay, France
Senior Member
Hello Simon,
1. Papyrus server is not really different of CDO Server; It is preconfigured to work with an H2 database.
2. If you display the categories in the Eclipse installation dialog, the feature "Papyrus CDO Models" is under a category called "CDO native version of metamodel". Maybe this name is not yet enough clear.

CDO works with standard metamodel based on EMF Object (legacy mode), but it is more performing on EMF metamodel adapted for it (native mode).
So this feature provides UML2 and a GMF Notation (Diagram) version dedicated to CDO to use the native mode. These versions are fully compatible with standart ones.
Re: Papyrus and CDO [message #1805459 is a reply to message #1805422] Mon, 15 April 2019 15:11 Go to previous messageGo to next message
Simon Kuzin is currently offline Simon KuzinFriend
Messages: 18
Registered: February 2019
Location: Singapore
Junior Member
Hi Vincent,
thank you for clarifications. I've guessed so after reading CDO docs in more details :)

However i still can't figure out how to make use of this native metamodels. Could you please guide me a bit on this.


Re: Papyrus and CDO [message #1811026 is a reply to message #1805422] Fri, 23 August 2019 23:02 Go to previous messageGo to next message
Nicola Mazzacane is currently offline Nicola MazzacaneFriend
Messages: 21
Registered: September 2014
Junior Member
Hi Vincent,

I am trying to install in Papyrus 4.3 "Papyrus CDO Models". I am following your instructions and I am using the provided update site, but it cannot be installed because I get the following errors:

Cannot complete the install because one or more required items could not be found.
Software being installed: Papyrus CDO Models (Incubation) 1.0.0.201908221405 (org.eclipse.papyrus.cdo.models.feature.feature.group 1.0.0.201908221405)
Missing requirement: Papyrus CDO Model Repository Core (Incubation) 2.0.0.201908221405 (org.eclipse.papyrus.cdo.core 2.0.0.201908221405) requires 'osgi.bundle; org.eclipse.emf.cdo.dawn [2.0.0,3.0.0)' but it could not be found
Cannot satisfy dependency:
From: Papyrus CDO Integration (Incubation) 1.2.0.201908221405 (org.eclipse.papyrus.cdo.feature.feature.group 1.2.0.201908221405)
To: org.eclipse.equinox.p2.iu; org.eclipse.papyrus.cdo.core [2.0.0.201908221405,2.0.0.201908221405]
Cannot satisfy dependency:
From: Papyrus CDO Models (Incubation) 1.0.0.201908221405 (org.eclipse.papyrus.cdo.models.feature.feature.group 1.0.0.201908221405)
To: org.eclipse.equinox.p2.iu; org.eclipse.papyrus.cdo.feature.feature.group 0.0.0


Where is my mistake?

Thank you,
Nicola
Re: Papyrus and CDO [message #1811069 is a reply to message #1811026] Mon, 26 August 2019 12:42 Go to previous messageGo to next message
vincent lorenzo is currently offline vincent lorenzoFriend
Messages: 123
Registered: June 2010
Location: Paris Saclay, France
Senior Member
Hi Nicola,
pleae, could you retry to install Papyrus CDO, registering this CDO update site in addition : https://download.eclipse.org/modeling/emf/cdo/drops/R20180613-0111/.
It is not required for you to install CDO from this update site, all will be automatic, installaing Papyrus CDO.

Regards,
--
Vincent Lorenzo
Re: Papyrus and CDO [message #1811093 is a reply to message #1811069] Mon, 26 August 2019 18:23 Go to previous messageGo to next message
Nicola Mazzacane is currently offline Nicola MazzacaneFriend
Messages: 21
Registered: September 2014
Junior Member
Hi Vincent,

thank you for your response.
I have installed Papyrus CDO using the update site that you have indicated, but I have got the following errors:

Cannot complete the install because one or more required items could not be found.
Software being installed: CDO Model Repository All Source 4.7.0.v20180601-0458 (org.eclipse.emf.cdo.all.source.feature.group 4.7.0.v20180601-0458)
Missing requirement: CDO Model Repository Dawn (Graphiti Support) 2.1.400.v20180529-1130 (org.eclipse.emf.cdo.dawn.graphiti 2.1.400.v20180529-1130) requires 'osgi.bundle; org.eclipse.graphiti [0.9.0,1.0.0)' but it could not be found
Cannot satisfy dependency:
From: CDO Model Repository All 4.7.0.v20180601-0458 (org.eclipse.emf.cdo.all.feature.group 4.7.0.v20180601-0458)
To: org.eclipse.equinox.p2.iu; org.eclipse.emf.cdo.dawn.feature.group [2.1.500.v20180530-1201,2.1.500.v20180530-1201]
Cannot satisfy dependency:
From: CDO Model Repository All Source 4.7.0.v20180601-0458 (org.eclipse.emf.cdo.all.source.feature.group 4.7.0.v20180601-0458)
To: org.eclipse.equinox.p2.iu; org.eclipse.emf.cdo.all.feature.group [4.7.0.v20180601-0458,4.7.0.v20180601-0458]
Cannot satisfy dependency:
From: CDO Model Repository Dawn 2.1.500.v20180530-1201 (org.eclipse.emf.cdo.dawn.feature.group 2.1.500.v20180530-1201)
To: org.eclipse.equinox.p2.iu; org.eclipse.emf.cdo.dawn.graphiti [2.1.400.v20180529-1130,2.1.400.v20180529-1130]


Is there any other suggestion to avoid these errors?

Best regards,
Nicola
Re: Papyrus and CDO [message #1814038 is a reply to message #1811093] Mon, 02 September 2019 09:44 Go to previous messageGo to next message
vincent lorenzo is currently offline vincent lorenzoFriend
Messages: 123
Registered: June 2010
Location: Paris Saclay, France
Senior Member
Hi Nicola, hum...
I have no more idea. Here, the system seems to be installing all CDO features... Did you tried to install all CDO features ?
In this case, as I wrote previously, don't install CDO. The update site is just required to install Papyrus -CDO and the system will download itself the required feature in the CDO update site.

Regards,
--
Vincent Lorenzo
Re: Papyrus and CDO [message #1814153 is a reply to message #1814038] Wed, 04 September 2019 21:25 Go to previous messageGo to next message
Nicola Mazzacane is currently offline Nicola MazzacaneFriend
Messages: 21
Registered: September 2014
Junior Member
Hi Vincent,

I have retried with a clean installation, but I have met the same following errors:

Cannot complete the install because one or more required items could not be found.
Software being installed: CDO Model Repository Examples 4.3.0.v20180529-1130 (org.eclipse.emf.cdo.examples.feature.group 4.3.0.v20180529-1130)
Missing requirement: CDO Electronic Restaurant Example RCP 4.1.500.v20180529-1130 (org.gastro.rcp 4.1.500.v20180529-1130) requires 'osgi.bundle; org.eclipse.nebula.widgets.gallery [1.0.0,2.0.0)' but it could not be found
Cannot satisfy dependency:
From: CDO Model Repository Examples 4.3.0.v20180529-1130 (org.eclipse.emf.cdo.examples.feature.group 4.3.0.v20180529-1130)
To: org.eclipse.equinox.p2.iu; org.gastro.rcp [4.1.500.v20180529-1130,4.1.500.v20180529-1130]



Here I summarize my steps:

1) from https://www.eclipse.org/papyrus/download.html I have download papyrus-2019-03-4.3.0-win64.zip
2) Help->Install New Software... I have selected Add... button and I have added the repository https://download.eclipse.org/modeling/emf/cdo/drops/R20180613-0111/
3) I have required to install all packages, but the following packages has not been installed (see former errors):

    CDO Model Repository
    CDO Model Repository All Source
    CDO Model Repository Examples
    CDO Model Repository Repository Server DB4O
    CDO Model Repository Sever Hibernate
    CDO Model Repository Tests

4) I have continued installation and I waited for the eclipse restart
5) I Have created a loca CDO repository, and a Online Transactional Checkout
6) It was NOT possible to create a Papyrus Model, only Folder, MOdel Resource, Binary File, Text File

Where is my mistake?

Is there a (past or future) Papyrus distribution that has already installed Payrus CDO?

Thank you,
Nicola
Re: Papyrus and CDO [message #1814562 is a reply to message #1814153] Fri, 13 September 2019 08:37 Go to previous messageGo to next message
vincent lorenzo is currently offline vincent lorenzoFriend
Messages: 123
Registered: June 2010
Location: Paris Saclay, France
Senior Member
Hi Nicola, I just check with a clean installation, but I started with this Eclipse version eclipse-committers-2019-06-R-win32-x86_64.
*I installed Papyrus from this update site Papyrus - http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/2019-06 -to get Papyrus, and its Toolsmiths which are required by Papyrus-CDO. In the doubt I installed the four proposed components).
*After restrating, I added this CDO update site, but I installed nothing from it, (required dependencies will be installed automaticcally by Papyrus-CDO)
*I added the Papyrus-CDO Update site https://hudson.eclipse.org/papyrus/job/Papyrus-CDO/lastSuccessfulBuild/artifact/repository/ and I installed all without problems.

/Regards,
--
Vincent
Re: Papyrus and CDO [message #1814645 is a reply to message #1814562] Sun, 15 September 2019 20:09 Go to previous messageGo to next message
Nicola Mazzacane is currently offline Nicola MazzacaneFriend
Messages: 21
Registered: September 2014
Junior Member
Hi Vincent,

CDO Papyrus seems to have been successfully installed now.
It seems that the problem was starting with a Papyrus RCP....

Thanks for the precious support.

Nicola
CDO Papyrus: impot into repository fails [message #1814846 is a reply to message #1814562] Fri, 20 September 2019 08:12 Go to previous messageGo to next message
Nicola Mazzacane is currently offline Nicola MazzacaneFriend
Messages: 21
Registered: September 2014
Junior Member
Hi Vincent,

after successfully installing Papyrus CDO, I have now a problem with importing Papyrus models (strored in files) into the local CDO repository.

In fact, after selecting the models that make up the project and executing the import command, the result is not what expected, as shown by the attached screenshot.

Then if I try to open the .di file of the main model, I achieve the attached ErrorMessage.

For information, the MAIN MODEL has two applied profiles and references to elements of the IMPORTED MODEL.

Is there something wrong in my steps?

Thank you,
Nicola

Re: CDO Papyrus: impot into repository fails [message #1814945 is a reply to message #1814846] Mon, 23 September 2019 09:35 Go to previous messageGo to next message
vincent lorenzo is currently offline vincent lorenzoFriend
Messages: 123
Registered: June 2010
Location: Paris Saclay, France
Senior Member
Hi Nicola,
1. please could you attach a screenshot showing the import menu you used ?
2. Is it possible for you to share with us a model (with stereotypes according to your problem) to reproduce this bug ?
3. Please you fill us a bug wtih attached models to reproduce it ?

This problem requires investigations from us, because we probably never checked this feature provided by CDO (afaik).

Best regards,
--
Vincent Lorenzo
Re: CDO Papyrus: impot into repository fails [message #1815323 is a reply to message #1814945] Mon, 30 September 2019 15:09 Go to previous message
Nicola Mazzacane is currently offline Nicola MazzacaneFriend
Messages: 21
Registered: September 2014
Junior Member
Hi Vincent,

here attached what you requested.

I would like to point out that the problem has also arisen for the very simple model that I have attached, in the absence of stereotypes and also it occurs with Papyrus 4.5.0.

Regards,
Nicola
Previous Topic:Papyrus Installation
Next Topic:Sequence diagrams: guided selection of operations?
Goto Forum:
  


Current Time: Thu Dec 12 01:36:27 GMT 2019

Powered by FUDForum. Page generated in 0.04033 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top